const tooltip = document.getElementById('tooltip');
            const tooltipElements = document.querySelectorAll('.tooltip-element');
            let timeout;
            
            window.addEventListener('mousemove', (e) => {
                tooltip.style.top = e.clientY + 'px';
                tooltip.style.left = e.clientX + 'px';
            });
            
            window.addEventListener('scroll', () => {
                tooltipElements.forEach(element => {
                    if (tooltip.style.display === 'block') {
                        tooltip.style.top = (parseFloat(tooltip.style.top) + window.scrollY) + 'px';
                    }
                });
            });
            
            tooltipElements.forEach(element => {
                element.addEventListener('mouseover', () => {
                    tooltip.innerHTML = element.getAttribute('data-tooltip');
                    tooltip.style.display = 'block';
                    tooltip.style.top = (event.clientY + window.scrollY) + 'px';
                    tooltip.style.left = event.clientX + 'px';
                    tooltip.style.opacity = 0;
                    setTimeout(() => {
                        tooltip.style.opacity = 1;
                    }, 10);
                });
            
                element.addEventListener('mouseout', () => {
                    timeout = setTimeout(() => {
                        tooltip.style.opacity = 0;
                    }, 300);
                });
            
                tooltip.addEventListener('mouseover', () => {
                    clearTimeout(timeout);
                });
            
                tooltip.addEventListener('mouseout', () => {
                    tooltip.style.opacity = 0;
                });
            });